/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for HealthStatus
 */
public enum EnumCV_HealthStatus 
{
	ALIVE_AND_WELL_F_00001("F-00001"),
	IN_REMISSION_F_029D4("F-029D4"),
	SYMPTOM_FREE_R_209F6("R-209F6"),
	CHRONICALLY_ILL_F_0600C("F-0600C"),
	SEVERELY_ILL_F_06001("F-06001"),
	DISABLED_F_00100("F-00100"),
	SEVERELY_DISABLED_F_0351E("F-0351E"),
	DECEASED_F_04DA1("F-04DA1");

	private String value;

	EnumCV_HealthStatus(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
